include = function(...)
	local chunks = {}
	local locs = {}
	for i,filename in ipairs{...} do
		local file, err = io.open(filename..".lua", "rb")
		if err then error(err, 2) end
		local data = file:read("*a")
		local loc = 1
		for k,v in data:gmatch("\n") do loc = loc + 1 end
		locs[i] = loc
		file:close()
		chunks[i] = data
	end
	local code = table.concat(chunks, "\n;")
	local func, err = loadstring(code)
	if err then
		local line = tonumber(err:match(":(%d+):"))
		local acc = 0
		for i,loc in ipairs(locs) do
			if acc < line and line <= acc + loc then
				local desc = err:match(":%d+:(.+)")
				local n = line - acc
				print(({...})[i]..".lua:"..n..":"..desc)
				print("in 'include' call of")
				error("", 2)
			end
			acc = acc + loc
		end
	end
	func()
end

include("chunk1", "chunk2", "chunk3")